## groovy.swing.binding
Class JSliderValueBinding

Field Summary
`boolean` | `bound`
`JSlider` | `boundSlider`

Constructor Summary
`JSliderValueBinding(PropertyBinding source, TargetBinding target)`

Method Summary
`void` | `bind()`
`void` | `propertyChange(PropertyChangeEvent event)`
`void` | `rebind()`
`void` | `setSourceBinding(SourceBinding source)`
`void` | `setTargetBinding(TargetBinding target)`
`void` | `stateChanged(ChangeEvent e)`
`void` | `unbind()`

Constructor Detail

### JSliderValueBinding

    public JSliderValueBinding(PropertyBinding source, TargetBinding target)

Method Detail

### bind

    public void bind()

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

### rebind

    public void rebind()

### setSourceBinding

    public void setSourceBinding(SourceBinding source)

### setTargetBinding

    public void setTargetBinding(TargetBinding target)

### stateChanged

    public void stateChanged(ChangeEvent e)

### unbind

    public void unbind()